---
title: Document.defaultView
slug: Web/API/Document/defaultView
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef}}</div>

<p>In browsers, <strong><code>document.defaultView</code></strong> returns the {{domxref("Window", "window")}} object associated with {{Glossary("Browsing_context", "a document")}}, or <code>null</code> if none is available.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>win</var> = document.defaultView;</pre>

<p>This property is read-only.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-defaultview', 'Document.defaultView')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#dom-document-defaultview', 'Document.defaultView')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Document.defaultView")}}</p>
</div>
